// Garden Gnome Software - Skin
// Object2VR 3.1.9/10783
// Filename: Outlander_exterior_mobile_skin.ggsk
// Generated Wed 17. Feb 02:38:19 2021

function object2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,80,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._container_2=document.createElement('div');
		this._container_2.ggId="Container 2";
		this._container_2.ggParameter={ rx:0,ry:0,a:0,sx:0.75,sy:0.75 };
		this._container_2.ggVisible=true;
		this._container_2.className='ggskin ggskin_container';
		this._container_2.ggType='container';
		this._container_2.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-200 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -200px;';
		hs+='top:  30px;';
		hs+='width: 400px;';
		hs+='height: 133px;';
		hs+=cssPrefix + 'transform-origin: 50% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._container_2.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._container_2.setAttribute('style',hs);
		this._image_1=document.createElement('div');
		this._image_1.ggId="Image 1";
		this._image_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_1.ggVisible=true;
		this._image_1.className='ggskin ggskin_image';
		this._image_1.ggType='image';
		this._image_1.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-225 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -225px;';
		hs+='top:  -3px;';
		hs+='width: 450px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_1.setAttribute('style',hs);
		this._image_1__img=document.createElement('img');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img.setAttribute('src',basePath + 'images/image_1.png');
		this._image_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_1__img);
		this._image_1.appendChild(this._image_1__img);
		this._container_2.appendChild(this._image_1);
		this._image_3=document.createElement('div');
		this._image_3.ggId="Image 3";
		this._image_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_3.ggVisible=true;
		this._image_3.className='ggskin ggskin_image';
		this._image_3.ggType='image';
		this._image_3.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(52 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  36px;';
		hs+='width: 60px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._image_3.setAttribute('style',hs);
		this._image_3__img=document.createElement('img');
		this._image_3__img.className='ggskin ggskin_image';
		this._image_3__img.setAttribute('src',basePath + 'images/image_3.png');
		this._image_3__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_3__img.className='ggskin ggskin_image';
		this._image_3__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_3__img);
		this._image_3.appendChild(this._image_3__img);
		this._image_3.onclick=function () {
			me.player.changeViewState("2",0.2);
			me._whiteoff.style[domTransition]='none';
			me._whiteoff.style.visibility='hidden';
			me._whiteoff.ggVisible=false;
			me._whiteon.style[domTransition]='none';
			me._whiteon.style.visibility='hidden';
			me._whiteon.ggVisible=false;
			me._redoff.style[domTransition]='none';
			me._redoff.style.visibility='hidden';
			me._redoff.ggVisible=false;
			me._redon.style[domTransition]='none';
			me._redon.style.visibility='hidden';
			me._redon.ggVisible=false;
			me._blackoff.style[domTransition]='none';
			me._blackoff.style.visibility='inherit';
			me._blackoff.ggVisible=true;
			me._redmetallic.style[domTransition]='none';
			me._redmetallic.style.visibility='hidden';
			me._redmetallic.ggVisible=false;
			me._rubyblack.style[domTransition]='none';
			me._rubyblack.style.visibility='inherit';
			me._rubyblack.ggVisible=true;
			me._solarwhite.style[domTransition]='none';
			me._solarwhite.style.visibility='hidden';
			me._solarwhite.ggVisible=false;
		}
		this._container_2.appendChild(this._image_3);
		this._image_2=document.createElement('div');
		this._image_2.ggId="Image 2";
		this._image_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_2.ggVisible=true;
		this._image_2.className='ggskin ggskin_image';
		this._image_2.ggType='image';
		this._image_2.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-30 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -30px;';
		hs+='top:  36px;';
		hs+='width: 60px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._image_2.setAttribute('style',hs);
		this._image_2__img=document.createElement('img');
		this._image_2__img.className='ggskin ggskin_image';
		this._image_2__img.setAttribute('src',basePath + 'images/image_2.png');
		this._image_2__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_2__img.className='ggskin ggskin_image';
		this._image_2__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_2__img);
		this._image_2.appendChild(this._image_2__img);
		this._image_2.onclick=function () {
			me.player.changeViewState("1",0.2);
			me._blackoff.style[domTransition]='none';
			me._blackoff.style.visibility='hidden';
			me._blackoff.ggVisible=false;
			me._blackon.style[domTransition]='none';
			me._blackon.style.visibility='hidden';
			me._blackon.ggVisible=false;
			me._redoff.style[domTransition]='none';
			me._redoff.style.visibility='hidden';
			me._redoff.ggVisible=false;
			me._redon.style[domTransition]='none';
			me._redon.style.visibility='hidden';
			me._redon.ggVisible=false;
			me._whiteoff.style[domTransition]='none';
			me._whiteoff.style.visibility='inherit';
			me._whiteoff.ggVisible=true;
			me._redmetallic.style[domTransition]='none';
			me._redmetallic.style.visibility='hidden';
			me._redmetallic.ggVisible=false;
			me._rubyblack.style[domTransition]='none';
			me._rubyblack.style.visibility='hidden';
			me._rubyblack.ggVisible=false;
			me._solarwhite.style[domTransition]='none';
			me._solarwhite.style.visibility='inherit';
			me._solarwhite.ggVisible=true;
		}
		this._container_2.appendChild(this._image_2);
		this._image_4=document.createElement('div');
		this._image_4.ggId="Image 4";
		this._image_4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_4.ggVisible=true;
		this._image_4.className='ggskin ggskin_image';
		this._image_4.ggType='image';
		this._image_4.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-112 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -112px;';
		hs+='top:  36px;';
		hs+='width: 60px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._image_4.setAttribute('style',hs);
		this._image_4__img=document.createElement('img');
		this._image_4__img.className='ggskin ggskin_image';
		this._image_4__img.setAttribute('src',basePath + 'images/image_4.png');
		this._image_4__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_4__img.className='ggskin ggskin_image';
		this._image_4__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_4__img);
		this._image_4.appendChild(this._image_4__img);
		this._image_4.onclick=function () {
			me.player.changeViewState("0",0.2);
			me._blackoff.style[domTransition]='none';
			me._blackoff.style.visibility='hidden';
			me._blackoff.ggVisible=false;
			me._blackon.style[domTransition]='none';
			me._blackon.style.visibility='hidden';
			me._blackon.ggVisible=false;
			me._whiteoff.style[domTransition]='none';
			me._whiteoff.style.visibility='hidden';
			me._whiteoff.ggVisible=false;
			me._whiteon.style[domTransition]='none';
			me._whiteon.style.visibility='hidden';
			me._whiteon.ggVisible=false;
			me._redon.style[domTransition]='none';
			me._redon.style.visibility='hidden';
			me._redon.ggVisible=false;
			me._redoff.style[domTransition]='none';
			me._redoff.style.visibility='inherit';
			me._redoff.ggVisible=true;
			me._redmetallic.style[domTransition]='none';
			me._redmetallic.style.visibility='inherit';
			me._redmetallic.ggVisible=true;
			me._rubyblack.style[domTransition]='none';
			me._rubyblack.style.visibility='hidden';
			me._rubyblack.ggVisible=false;
			me._solarwhite.style[domTransition]='none';
			me._solarwhite.style.visibility='hidden';
			me._solarwhite.ggVisible=false;
		}
		this._container_2.appendChild(this._image_4);
		this._solarwhite=document.createElement('div');
		this._solarwhite.ggId="SolarWhite";
		this._solarwhite.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._solarwhite.ggVisible=false;
		this._solarwhite.className='ggskin ggskin_image';
		this._solarwhite.ggType='image';
		this._solarwhite.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-75 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -75px;';
		hs+='top:  113px;';
		hs+='width: 152px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._solarwhite.setAttribute('style',hs);
		this._solarwhite__img=document.createElement('img');
		this._solarwhite__img.className='ggskin ggskin_image';
		this._solarwhite__img.setAttribute('src',basePath + 'images/solarwhite.png');
		this._solarwhite__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._solarwhite__img.className='ggskin ggskin_image';
		this._solarwhite__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._solarwhite__img);
		this._solarwhite.appendChild(this._solarwhite__img);
		this._container_2.appendChild(this._solarwhite);
		this._rubyblack=document.createElement('div');
		this._rubyblack.ggId="RubyBlack";
		this._rubyblack.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rubyblack.ggVisible=false;
		this._rubyblack.className='ggskin ggskin_image';
		this._rubyblack.ggType='image';
		this._rubyblack.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-68 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -68px;';
		hs+='top:  113px;';
		hs+='width: 139px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._rubyblack.setAttribute('style',hs);
		this._rubyblack__img=document.createElement('img');
		this._rubyblack__img.className='ggskin ggskin_image';
		this._rubyblack__img.setAttribute('src',basePath + 'images/rubyblack.png');
		this._rubyblack__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._rubyblack__img.className='ggskin ggskin_image';
		this._rubyblack__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._rubyblack__img);
		this._rubyblack.appendChild(this._rubyblack__img);
		this._container_2.appendChild(this._rubyblack);
		this._redmetallic=document.createElement('div');
		this._redmetallic.ggId="RedMetallic";
		this._redmetallic.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._redmetallic.ggVisible=true;
		this._redmetallic.className='ggskin ggskin_image';
		this._redmetallic.ggType='image';
		this._redmetallic.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-78 + w/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -78px;';
		hs+='top:  113px;';
		hs+='width: 159px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._redmetallic.setAttribute('style',hs);
		this._redmetallic__img=document.createElement('img');
		this._redmetallic__img.className='ggskin ggskin_image';
		this._redmetallic__img.setAttribute('src',basePath + 'images/redmetallic.png');
		this._redmetallic__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._redmetallic__img.className='ggskin ggskin_image';
		this._redmetallic__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._redmetallic__img);
		this._redmetallic.appendChild(this._redmetallic__img);
		this._container_2.appendChild(this._redmetallic);
		this.divSkin.appendChild(this._container_2);
		this._redoff=document.createElement('div');
		this._redoff.ggId="red-off";
		this._redoff.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._redoff.ggVisible=true;
		this._redoff.className='ggskin ggskin_image';
		this._redoff.ggType='image';
		this._redoff.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._redoff.setAttribute('style',hs);
		this._redoff__img=document.createElement('img');
		this._redoff__img.className='ggskin ggskin_image';
		this._redoff__img.setAttribute('src',basePath + 'images/redoff.png');
		this._redoff__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._redoff__img.className='ggskin ggskin_image';
		this._redoff__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._redoff__img);
		this._redoff.appendChild(this._redoff__img);
		this._redoff.onclick=function () {
			me.player.changeViewState("3",0.2);
			me._redon.style[domTransition]='none';
			me._redon.style.visibility='inherit';
			me._redon.ggVisible=true;
		}
		this.divSkin.appendChild(this._redoff);
		this._redon=document.createElement('div');
		this._redon.ggId="red-on";
		this._redon.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._redon.ggVisible=false;
		this._redon.className='ggskin ggskin_image';
		this._redon.ggType='image';
		this._redon.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._redon.setAttribute('style',hs);
		this._redon__img=document.createElement('img');
		this._redon__img.className='ggskin ggskin_image';
		this._redon__img.setAttribute('src',basePath + 'images/redon.png');
		this._redon__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._redon__img.className='ggskin ggskin_image';
		this._redon__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._redon__img);
		this._redon.appendChild(this._redon__img);
		this._redon.onclick=function () {
			me.player.changeViewState("0",0.2);
			me._redon.style[domTransition]='none';
			me._redon.style.visibility='hidden';
			me._redon.ggVisible=false;
		}
		this.divSkin.appendChild(this._redon);
		this._whiteoff=document.createElement('div');
		this._whiteoff.ggId="white-off";
		this._whiteoff.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._whiteoff.ggVisible=false;
		this._whiteoff.className='ggskin ggskin_image';
		this._whiteoff.ggType='image';
		this._whiteoff.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._whiteoff.setAttribute('style',hs);
		this._whiteoff__img=document.createElement('img');
		this._whiteoff__img.className='ggskin ggskin_image';
		this._whiteoff__img.setAttribute('src',basePath + 'images/whiteoff.png');
		this._whiteoff__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._whiteoff__img.className='ggskin ggskin_image';
		this._whiteoff__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._whiteoff__img);
		this._whiteoff.appendChild(this._whiteoff__img);
		this._whiteoff.onclick=function () {
			me.player.changeViewState("4",0.2);
			me._whiteon.style[domTransition]='none';
			me._whiteon.style.visibility='inherit';
			me._whiteon.ggVisible=true;
		}
		this.divSkin.appendChild(this._whiteoff);
		this._whiteon=document.createElement('div');
		this._whiteon.ggId="white-on";
		this._whiteon.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._whiteon.ggVisible=false;
		this._whiteon.className='ggskin ggskin_image';
		this._whiteon.ggType='image';
		this._whiteon.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._whiteon.setAttribute('style',hs);
		this._whiteon__img=document.createElement('img');
		this._whiteon__img.className='ggskin ggskin_image';
		this._whiteon__img.setAttribute('src',basePath + 'images/whiteon.png');
		this._whiteon__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._whiteon__img.className='ggskin ggskin_image';
		this._whiteon__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._whiteon__img);
		this._whiteon.appendChild(this._whiteon__img);
		this._whiteon.onclick=function () {
			me.player.changeViewState("1",0.2);
			me._whiteon.style[domTransition]='none';
			me._whiteon.style.visibility='hidden';
			me._whiteon.ggVisible=false;
		}
		this.divSkin.appendChild(this._whiteon);
		this._blackoff=document.createElement('div');
		this._blackoff.ggId="black-off";
		this._blackoff.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._blackoff.ggVisible=false;
		this._blackoff.className='ggskin ggskin_image';
		this._blackoff.ggType='image';
		this._blackoff.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._blackoff.setAttribute('style',hs);
		this._blackoff__img=document.createElement('img');
		this._blackoff__img.className='ggskin ggskin_image';
		this._blackoff__img.setAttribute('src',basePath + 'images/blackoff.png');
		this._blackoff__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._blackoff__img.className='ggskin ggskin_image';
		this._blackoff__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._blackoff__img);
		this._blackoff.appendChild(this._blackoff__img);
		this._blackoff.onclick=function () {
			me.player.changeViewState("5",0.2);
			me._blackon.style[domTransition]='none';
			me._blackon.style.visibility='inherit';
			me._blackon.ggVisible=true;
		}
		this.divSkin.appendChild(this._blackoff);
		this._blackon=document.createElement('div');
		this._blackon.ggId="black-on";
		this._blackon.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._blackon.ggVisible=false;
		this._blackon.className='ggskin ggskin_image';
		this._blackon.ggType='image';
		this._blackon.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-59 + w) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-48 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -59px;';
		hs+='top:  -48px;';
		hs+='width: 40px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='cursor: pointer;';
		this._blackon.setAttribute('style',hs);
		this._blackon__img=document.createElement('img');
		this._blackon__img.className='ggskin ggskin_image';
		this._blackon__img.setAttribute('src',basePath + 'images/blackon.png');
		this._blackon__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._blackon__img.className='ggskin ggskin_image';
		this._blackon__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._blackon__img);
		this._blackon.appendChild(this._blackon__img);
		this._blackon.onclick=function () {
			me.player.changeViewState("2",0.2);
			me._blackon.style[domTransition]='none';
			me._blackon.style.visibility='hidden';
			me._blackon.ggVisible=false;
		}
		this.divSkin.appendChild(this._blackon);
		this._rectangle_4=document.createElement('div');
		this._rectangle_4.ggId="Rectangle 4";
		this._rectangle_4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_4.ggVisible=true;
		this._rectangle_4.className='ggskin ggskin_rectangle';
		this._rectangle_4.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 2000px;';
		hs+='height: 2000px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='background: #000000;';
		hs+='background: rgba(0,0,0,0.784314);';
		hs+='border: 0px solid #000000;';
		this._rectangle_4.setAttribute('style',hs);
		this.divSkin.appendChild(this._rectangle_4);
		this._text_1=document.createElement('div');
		this._text_1__text=document.createElement('div');
		this._text_1.className='ggskin ggskin_textdiv';
		this._text_1.ggTextDiv=this._text_1__text;
		this._text_1.ggId="Text 1";
		this._text_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_1.ggVisible=false;
		this._text_1.className='ggskin ggskin_text';
		this._text_1.ggType='text';
		this._text_1.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-177 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-100 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -177px;';
		hs+='top:  -100px;';
		hs+='width: 344px;';
		hs+='height: 193px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._text_1.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 344px;';
		hs+='height: 193px;';
		hs+='border: 4px solid #aa0000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_1__text.setAttribute('style',hs);
		this._text_1.ggTextDiv.innerHTML="text";
		this._text_1.appendChild(this._text_1__text);
		this._text_2=document.createElement('div');
		this._text_2__text=document.createElement('div');
		this._text_2.className='ggskin ggskin_textdiv';
		this._text_2.ggTextDiv=this._text_2__text;
		this._text_2.ggId="Text 2";
		this._text_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_2.ggVisible=true;
		this._text_2.className='ggskin ggskin_text';
		this._text_2.ggType='text';
		this._text_2.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-34 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -30px;';
		hs+='top:  -23px;';
		hs+='width: 42px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._text_2.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 42px;';
		hs+='height: 19px;';
		hs+='background: #000000;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		hs+='overflow-y: auto;';
		this._text_2__text.setAttribute('style',hs);
		this._text_2.ggTextDiv.innerHTML="close";
		this._text_2.appendChild(this._text_2__text);
		this._text_2.onclick=function () {
			me._text_1.style[domTransition]='none';
			me._text_1.style.visibility='hidden';
			me._text_1.ggVisible=false;
			me._text_1.ggText="";
			me._text_1.ggTextDiv.innerHTML=me._text_1.ggText;
			if (me._text_1.ggUpdateText) {
				me._text_1.ggUpdateText=function() {
					var hs="";
					if (hs!=me._text_1.ggText) {
						me._text_1.ggText=hs;
						me._text_1.ggTextDiv.innerHTML=hs;
					}
				}
			}
			if (me.player.transitionsDisabled) {
				me._rectangle_4.style[domTransition]='none';
			} else {
				me._rectangle_4.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._rectangle_4.style.opacity='0';
			me._rectangle_4.style.visibility='hidden';
		}
		this._text_1.appendChild(this._text_2);
		this.divSkin.appendChild(this._text_1);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="hs_vid";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			this.__div.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				if (this.parentNode) {
					var w=this.parentNode.offsetWidth;
					this.style.left=Math.floor(-66 + w) + 'px';
					var h=this.parentNode.offsetHeight;
					this.style.top=Math.floor(-83 + h) + 'px';
				}
			}
			hs ='position:absolute;';
			hs+='left: -66px;';
			hs+='top:  -83px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin._text_1.style[domTransition]='none';
				me.skin._text_1.style.visibility='inherit';
				me.skin._text_1.ggVisible=true;
				me.skin._text_1.ggText=me.hotspot.url;
				me.skin._text_1.ggTextDiv.innerHTML=me.skin._text_1.ggText;
				if (me.skin._text_1.ggUpdateText) {
					me.skin._text_1.ggUpdateText=function() {
						var hs=me.hotspot.url;
						if (hs!=me.skin._text_1.ggText) {
							me.skin._text_1.ggText=hs;
							me.skin._text_1.ggTextDiv.innerHTML=hs;
						}
					}
				}
				if (me.player.transitionsDisabled) {
					me.skin._rectangle_4.style[domTransition]='none';
				} else {
					me.skin._rectangle_4.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._rectangle_4.style.opacity='1';
				me.skin._rectangle_4.style.visibility=me.skin._rectangle_4.ggVisible?'inherit':'hidden';
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._external_1=document.createElement('div');
			this._external_1.ggId="External 1";
			this._external_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._external_1.ggVisible=true;
			this._external_1.className='ggskin ggskin_external';
			this._external_1.ggType='external';
			this._external_1.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				if (this.parentNode) {
					var w=this.parentNode.offsetWidth;
					this.style.left=Math.floor(-20 + w/2) + 'px';
					var h=this.parentNode.offsetHeight;
					this.style.top=Math.floor(-19 + h/2) + 'px';
				}
			}
			hs ='position:absolute;';
			hs+='left: -20px;';
			hs+='top:  -19px;';
			hs+='width: 36px;';
			hs+='height: 36px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._external_1.setAttribute('style',hs);
			this._external_1__img=document.createElement('img');
			this._external_1__img.className='ggskin ggskin_external';
			this._external_1__img.setAttribute('src',basePath + 'images/hs_exterior.gif');
			this._external_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._external_1__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._external_1__img);
			this._external_1.appendChild(this._external_1__img);
			this.__div.appendChild(this._external_1);
			this._text_3=document.createElement('div');
			this._text_3__text=document.createElement('div');
			this._text_3.className='ggskin ggskin_textdiv';
			this._text_3.ggTextDiv=this._text_3__text;
			this._text_3.ggId="Text 3";
			this._text_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._text_3.ggVisible=false;
			this._text_3.className='ggskin ggskin_text';
			this._text_3.ggType='text';
			this._text_3.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				if (this.parentNode) {
					var w=this.parentNode.offsetWidth;
					this.style.left=Math.floor(-53 + w/2) + 'px';
				}
				this.ggTextDiv.style.left=Math.floor(0 + (98-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -53px;';
			hs+='top:  -32px;';
			hs+='width: 98px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: hidden;';
			this._text_3.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='background: #000000;';
			hs+='background: rgba(0,0,0,0.686275);';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._text_3__text.setAttribute('style',hs);
			this._text_3.ggTextDiv.innerHTML=me.hotspot.title;
			this._text_3.appendChild(this._text_3__text);
			this.__div.appendChild(this._text_3);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};